<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyabs__rtos__impl_8h" kind="file" language="C++">
    <compoundname>cyabs_rtos_impl.h</compoundname>
    <includedby local="yes" refid="cyabs__rtos_8h">cyabs_rtos.h</includedby>
      <sectiondef kind="define">
      <memberdef id="group__group__abstraction__rtos__port_1ga8cb68f0797eec0941d819cb03dee3f8e" kind="define" prot="public" static="no">
        <name>CY_RTOS_MIN_STACK_SIZE</name>
        <initializer>300</initializer>
        <briefdescription>
<para>Minimum stack size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="60" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="60" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1ga03f4b97a8323f791fe6b8113bac20610" kind="define" prot="public" static="no">
        <name>CY_RTOS_ALIGNMENT_MASK</name>
        <initializer>0x00000007UL</initializer>
        <briefdescription>
<para>Checks for 8-bit alignment. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="61" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="61" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__abstraction__rtos__port_1ga9f21bb78897c25df019b6e4286ecc7a0" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cy_thread_priority_t</name>
        <enumvalue id="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0acc5a695124ae1d0da2abe6e8fb8bcc6e" prot="public">
          <name>CY_RTOS_PRIORITY_MIN</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Minumum allowable Thread priority. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0adb7152d4d80f56bb5c88570769f219d8" prot="public">
          <name>CY_RTOS_PRIORITY_LOW</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>A low priority Thread. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0a3184787379faa0701717fa2b13c71132" prot="public">
          <name>CY_RTOS_PRIORITY_BELOWNORMAL</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>A slightly below normal Thread priority. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0a106f914a7dedbee23fe1560be2e9839d" prot="public">
          <name>CY_RTOS_PRIORITY_NORMAL</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>The normal Thread priority. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0aba8fa5ad998aad406aa120cd32c371e4" prot="public">
          <name>CY_RTOS_PRIORITY_ABOVENORMAL</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>A slightly elevated Thread priority. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0a2b2471ff20337e6efd1f55b241765951" prot="public">
          <name>CY_RTOS_PRIORITY_HIGH</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>A high priority Thread. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0ab5a62a719e4035d1aeb480a5071e4acb" prot="public">
          <name>CY_RTOS_PRIORITY_REALTIME</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>Realtime Thread priority. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0a3ab1fe19a851c645d3ac8f5a2c1e1be2" prot="public">
          <name>CY_RTOS_PRIORITY_MAX</name>
          <initializer>= 7</initializer>
          <briefdescription>
<para>Maximum allowable Thread priority. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_thread_priority_t: </bold><linebreak />RTOS thread priority.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="80" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="70" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="71" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__abstraction__rtos__port_1ga27c9e935c4c4f200d86a8484d3db08d3" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_thread_t</definition>
        <argsstring />
        <name>cy_thread_t</name>
        <briefdescription>
<para>Alias for the RTOS specific definition of a thread handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="82" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="82" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1ga38237cfc682f2212e1ae11eb81a594b4" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_thread_arg_t</definition>
        <argsstring />
        <name>cy_thread_arg_t</name>
        <briefdescription>
<para>Alias for the RTOS specific argument passed to the entry function of a thread. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="83" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="83" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1ga20623d7ca01f21ec5ef09879eb2eb166" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_mutex_t</definition>
        <argsstring />
        <name>cy_mutex_t</name>
        <briefdescription>
<para>Alias for the RTOS specific definition of a mutex. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="84" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="84" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1ga97c7350dd41b5850577cc7667aee73d2" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_semaphore_t</definition>
        <argsstring />
        <name>cy_semaphore_t</name>
        <briefdescription>
<para>Alias for the RTOS specific definition of a semaphore. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="85" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="85" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1ga7dc44a10637e29784bb57c8baa46524b" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_event_t</definition>
        <argsstring />
        <name>cy_event_t</name>
        <briefdescription>
<para>Alias for the RTOS specific definition of an event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="86" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="86" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1gac3dcb8e5a19cd138761a6548dd4de50f" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_queue_t</definition>
        <argsstring />
        <name>cy_queue_t</name>
        <briefdescription>
<para>Alias for the RTOS specific definition of a message queue. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="87" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="87" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1gacf9d99e8262de333b482417053756624" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_timer_t</definition>
        <argsstring />
        <name>cy_timer_t</name>
        <briefdescription>
<para>Alias for the RTOS specific definition of a timer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="88" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="88" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1gaae8f42a65f808106d77113794ab7dd30" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_timer_callback_arg_t</definition>
        <argsstring />
        <name>cy_timer_callback_arg_t</name>
        <briefdescription>
<para>Alias for the RTOS specific argument passed to the timer callback function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="89" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="89" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1ga141349b315f2266d5e0e8b8566eb608b" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_time_t</definition>
        <argsstring />
        <name>cy_time_t</name>
        <briefdescription>
<para>Alias for the RTOS specific time unit (in milliseconds) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="90" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="90" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__port_1ga0161131d68376463dd91d0a2dfc39c60" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_rtos_error_t</definition>
        <argsstring />
        <name>cy_rtos_error_t</name>
        <briefdescription>
<para>Alias for the RTOS specific definition of a error status. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" bodystart="91" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" line="91" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Template file for internal definitions for RTOS abstraction layer. </para>    </briefdescription>
    <detaileddescription>
<para>Replace all TODO items with the proper values for the RTOS that is being wrapped.</para><para><simplesect kind="copyright"><para>Copyright 2019-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="28"><highlight class="preprocessor">#ifndef<sp />INCLUDED_CYABS_RTOS_IMPL_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#define<sp />INCLUDED_CYABS_RTOS_IMPL_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="32"><highlight class="comment"><sp />*<sp />Exclude<sp />template<sp />files<sp />except<sp />for<sp />documentation<sp />purposes.</highlight></codeline>
<codeline lineno="33"><highlight class="comment"><sp />*<sp />This<sp />should<sp />be<sp />removed<sp />when<sp />using<sp />the<sp />template<sp />to<sp />support<sp />a<sp />new<sp />RTOS.</highlight></codeline>
<codeline lineno="34"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(DOXYGEN)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="38"><highlight class="comment">#include<sp />"TODO:<sp />RTOS<sp />HEADER"</highlight></codeline>
<codeline lineno="39"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal">{</highlight></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="comment">/******************************************************</highlight></codeline>
<codeline lineno="57"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Constants</highlight></codeline>
<codeline lineno="58"><highlight class="comment">******************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />these<sp />with<sp />proper<sp />values<sp />for<sp />the<sp />target<sp />RTOS<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_RTOS_MIN_STACK_SIZE<sp /><sp /><sp /><sp /><sp /><sp />300<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="61"><highlight class="preprocessor">#define<sp />CY_RTOS_ALIGNMENT_MASK<sp /><sp /><sp /><sp /><sp /><sp />0x00000007UL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="64"><highlight class="preprocessor" /><highlight class="comment">/******************************************************</highlight></codeline>
<codeline lineno="65"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Type<sp />Definitions</highlight></codeline>
<codeline lineno="66"><highlight class="comment">******************************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />all<sp />priority<sp />values<sp />with<sp />values<sp />specific<sp />to<sp />the<sp />RTOS<sp />*/</highlight></codeline>
<codeline lineno="70"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal">{</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0acc5a695124ae1d0da2abe6e8fb8bcc6e">CY_RTOS_PRIORITY_MIN</ref><sp />=<sp />0,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0adb7152d4d80f56bb5c88570769f219d8">CY_RTOS_PRIORITY_LOW</ref><sp />=<sp />1,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0a3184787379faa0701717fa2b13c71132">CY_RTOS_PRIORITY_BELOWNORMAL</ref><sp />=<sp />2,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0a106f914a7dedbee23fe1560be2e9839d">CY_RTOS_PRIORITY_NORMAL</ref><sp />=<sp />3,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0aba8fa5ad998aad406aa120cd32c371e4">CY_RTOS_PRIORITY_ABOVENORMAL</ref><sp />=<sp />4,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0a2b2471ff20337e6efd1f55b241765951">CY_RTOS_PRIORITY_HIGH</ref><sp />=<sp />5,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0ab5a62a719e4035d1aeb480a5071e4acb">CY_RTOS_PRIORITY_REALTIME</ref><sp />=<sp />6,<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gga9f21bb78897c25df019b6e4286ecc7a0a3ab1fe19a851c645d3ac8f5a2c1e1be2">CY_RTOS_PRIORITY_MAX</ref><sp />=<sp />7,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="80"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga9f21bb78897c25df019b6e4286ecc7a0">cy_thread_priority_t</ref><sp />;</highlight></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga27c9e935c4c4f200d86a8484d3db08d3">cy_thread_t</ref>;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="83"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga38237cfc682f2212e1ae11eb81a594b4">cy_thread_arg_t</ref>;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="84"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga20623d7ca01f21ec5ef09879eb2eb166">cy_mutex_t</ref>;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="85"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga97c7350dd41b5850577cc7667aee73d2">cy_semaphore_t</ref>;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="86"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga7dc44a10637e29784bb57c8baa46524b">cy_event_t</ref>;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="87"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gac3dcb8e5a19cd138761a6548dd4de50f">cy_queue_t</ref>;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="88"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gacf9d99e8262de333b482417053756624">cy_timer_t</ref>;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="89"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gaae8f42a65f808106d77113794ab7dd30">cy_timer_callback_arg_t</ref>;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="90"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga141349b315f2266d5e0e8b8566eb608b">cy_time_t</ref>;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="91"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />Replace<sp />with<sp />RTOS<sp />specific<sp />type*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga0161131d68376463dd91d0a2dfc39c60">cy_rtos_error_t</ref>;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="95"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal">}<sp /></highlight><highlight class="comment">/*<sp />extern<sp />"C"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(DOXYGEN)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />ifndef<sp />INCLUDED_CYABS_RTOS_IMPL_H_<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/Template/cyabs_rtos_impl.h" />
  </compounddef>
</doxygen>